Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::SEvent::SGUIEvent Struct Reference

Any kind of GUI event. More...

`#include <IEventReceiver.h>`

List of all members.

## Public Attributes

gui::IGUIElement * | Caller
| IGUIElement who called the event.
gui::IGUIElement * | Element
| If the event has something to do with another element, it will be held here.
gui::EGUI_EVENT_TYPE | EventType
| Type of GUI Event.

## Detailed Description

Any kind of GUI event.

Definition at line 264 of file IEventReceiver.h.

## Member Data Documentation

gui::IGUIElement* irr::SEvent::SGUIEvent::Caller

IGUIElement who called the event.

Definition at line 267 of file IEventReceiver.h.

gui::IGUIElement* irr::SEvent::SGUIEvent::Element

If the event has something to do with another element, it will be held here.

Definition at line 270 of file IEventReceiver.h.

gui::EGUI_EVENT_TYPE irr::SEvent::SGUIEvent::EventType

Type of GUI Event.

Definition at line 273 of file IEventReceiver.h.

The documentation for this struct was generated from the following file:

- IEventReceiver.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:03 2010 by Doxygen (1.6.2)